org.apache.hc.core5.http.protocol

## Class ResponseConformance

- java.lang.Object
- - org.apache.hc.core5.http.protocol.ResponseConformance

- All Implemented Interfaces:
    HttpResponseInterceptor

      @Contract(threading=IMMUTABLE)
      public class ResponseConformance
      extends Object
      implements HttpResponseInterceptor

  This response interceptor is responsible for making the protocol conformance checks of outgoing response messages.

  This interceptor is essential for the HTTP protocol conformance and the correct operation of the server-side message processing pipeline.

  Since:
    5.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ResponseConformance` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponseConformance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(HttpResponse response, EntityDetails entity, HttpContext context)` Processes a response.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final ResponseConformance INSTANCE

  - ### Constructor Detail

    - #### ResponseConformance

          public ResponseConformance()

  - ### Method Detail

    - #### process

          public void process(HttpResponse response,
                              EntityDetails entity,
                              HttpContext context)
                       throws HttpException,
                              IOException

      Description copied from interface: `HttpResponseInterceptor`
      Processes a response. On the server side, this step is performed before the response is sent to the client. On the client side, this step is performed on incoming messages before the message body is evaluated.
      Specified by:
        `process` in interface `HttpResponseInterceptor`
      Parameters:
        `response` - the response to process
        `entity` - the request entity details or `null` if not available
        `context` - the context for the request
      Throws:
        `HttpException` - in case of an HTTP protocol violation
        `IOException` - in case of an I/O error

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.